dojo.provide('epages.cartridges.de_epages.externalcontent.twittersearch');
dojo.require('epages.cartridges.de_epages.design.mcecontent');
dojo.require('epages.widget.Message');
dojo.require('epages.widget.Modaldialog');
dojo.require('epages.io.translation');

epages.cartridges.de_epages.externalcontent.TwitterSearch = epages.Class();

dojo.extend(epages.cartridges.de_epages.externalcontent.TwitterSearch,
	epages.cartridges.de_epages.design.MceContent.prototype, {
	contentClass    : 'epages.cartridges.de_epages.externalcontent.TwitterSearch',
	title           : 'Twitter Search',

	width           : 250,
	height          : 300,

	query_tags			: '',
	title						: '',
	caption					: '',

	preview         : epages.vars.StoreRoot + '/BO/icons/navelement_twittersearch.png',
	messageWidget   : undefined,
	translation     : new epages.io.Translation(dojo.moduleUrl('epages.cartridges.de_epages.externalcontent', "templates/translation"), "auto"),

	info: function () {
		var info = epages.cartridges.de_epages.design.MceContent.prototype.info.apply(this, arguments);
		dojo.mixin(info, {
			query_tags : this.query_tags,
			title			 : this.title,
			caption		 : this.caption
		});

		return info;
	},

	saveForm: function() {
		if (this.form !== undefined){
			this.formData = (new epages.html.Form(this.form)).get();
		}

		this.query_tags = this.formData.get('query_tags');
		this.title = this.formData.get('title');
		this.caption = this.formData.get('caption');
	},

	contentString: function (info, ispreview) {
		if (info === undefined){
			var info = this.info();
		}
		var retString = '<script type="text/javascript" src="http://widgets.twimg.com/j/2/widget.js"></script><script type="text/javascript">if(location.protocol==="http:"){new TWTR.Widget({ version: 2, type: "search", search: "'+ info.query_tags + '", interval: 6000, title: "'+ info.title +'", subject: "'+ info.caption + '", width: 250, height: 300, theme: { shell: { background: "#8ec1da", color: "#ffffff" }, tweets: { background: "#ffffff", color: "#444444", links: "#1985b5" }}, features: { scrollbar: false, loop: true, live: true, hashtags: true, timestamp: true, avatars: true, toptweets: true, behavior: "default"}}).render().start();}</script>';
		return retString;
	},

	loadPreview: function (domObject) {
		// summary: Action when clicked on the preview button.
		// description: Uses a small html snippet from the twittersearchpreview.html file to insert the
		//	twitter code snippet to the iframe body.

			if (info === undefined){
				var info = this.info();
			}

			if( info.query_tags[0] !== '' ){
				var headlineTranslation = this.formData.get('headlineTranslation');
				domObject.src = dojo.moduleUrl('epages.cartridges.de_epages.externalcontent','twittersearchpreview.html?'+headlineTranslation);
			}
			else {
				if(this.messageWidget == undefined) {
					var message = new epages.widget.Message({
								headline:this.translation.get('Error'),
								message:this.translation.get('TwitterSearchError'),
								sizeClass:"Large",
								typeClass:"Warning"
							});
					this.messageWidget = new epages.widget.Modaldialog({
						options:{
							title : this.translation.get('Error'),
							content : message
						},
						buttons: [{
							label: this.translation.get('OK'),
							cssClass: 'Active',
							onclick: function() {
							this._modalDialogWidget.hide();
							}
						}]
					});
				}
				document.body.appendChild(this.messageWidget.domNode);
				this.messageWidget.show();
				var url = epages.vars.StoreRoot + '/javascript/epages/cartridges/de_epages/externalcontent/iframe.html';
				domObject.src = dojo.moduleUrl('epages.cartridges.de_epages.externalcontent',url);
			}
	},

	mceInsertContent: function(info){
		if (info === undefined){
			var info = this.info();
		}
		if( info.query_tags[0] !== '' ){
			epages.cartridges.de_epages.design.MceContent.prototype.mceInsertContent.apply(this, arguments);
		}
	}
});