dojo.provide('epages.cartridges.de_epages.externalcontent.wetterde');
dojo.require('epages.cartridges.de_epages.design.mcecontent');

epages.cartridges.de_epages.externalcontent.WetterDe = epages.Class();

dojo.extend(epages.cartridges.de_epages.externalcontent.WetterDe,
	epages.cartridges.de_epages.design.MceContent.prototype, {
	contentClass    : 'epages.cartridges.de_epages.externalcontent.WetterDe',
	title           : 'Wetter Deutschland',
	zipcode         : '',
	bgColor         : 'FFFF66',
	highColor       : 'FFCC00',
	txtColor        : '000000',
	width           : 130,
	height          : 230,
	doInsertDom     : false,
	preview         : epages.vars.StoreRoot + '/BO/icons/navelement_wetterde.png',

	info: function () {
		var info = epages.cartridges.de_epages.design.MceContent.prototype.info.apply(this, arguments);
		dojo.mixin(info, {
			zipcode   : this.zipcode,
			bgColor   : this.bgColor,
			highColor : this.highColor,
			txtColor  : this.txtColor
		});
		return info;
	},

	loadPreview: function (domObject) {
		if(this.formData.get('wetterDeZipcode')[0] != "") {
			this.bgColor = this.convertColor(this.formData.get('wetterDeBgColor')[0]);
			this.highColor = this.convertColor(this.formData.get('wetterDeHighColor')[0]) ;
			this.txtColor = this.convertColor(this.formData.get('wetterDeTxtColor')[0]) ;
			this.zipcode = this.formData.get('wetterDeZipcode')[0];
			domObject.src = dojo.moduleUrl('epages.cartridges.de_epages.externalcontent','wetterpreview.html?plz='+this.zipcode+'&color_bg='+this.bgColor+'&color_hi='+this.highColor+'&color_txt='+this.txtColor);
		} else {
			domObject.src = dojo.moduleUrl('epages.cartridges.de_epages.externalcontent','iframe.html');
		}

	},

	contentString: function (info, ispreview) {
		if(info.formData.get('wetterDeZipcode')[0] != ""){
			this.bgColor = this.convertColor(info.formData.get('wetterDeBgColor')[0]);
			this.highColor = this.convertColor(info.formData.get('wetterDeHighColor')[0]) ;
			this.txtColor = this.convertColor(info.formData.get('wetterDeTxtColor')[0]) ;
			this.zipcode = info.formData.get('wetterDeZipcode')[0];
			return '<script type="text/javascript" src="http://www.donnerwetter.de/wetter/net/boxregio.mv?typ=2&plz='+this.zipcode+'&color_bg='+this.bgColor+'&color_hi='+this.highColor+'&color_txt='+this.txtColor+'&width=" ></'+'script>';
		} else {
			return '';
		}
	},

	convertColor:function(color) {
		if(color) {
			color = color.toUpperCase();
			if(color.match(/#/)) {
				color = color.substr(1);
			}
			return color;
		}
	}
});